From 959b28aae85367b3a0c1f6a4a60186a422e50dcd Mon Sep 17 00:00:00 2001
From: Treeve Jelbert <treeve@sourcemage.org>
Date: Sat, 1 Apr 2017 13:11:35 +0200
Subject: [PATCH 4/9] cmake fix for non sse4.2 machine

---
 CMakeLists.txt     | 3 +--
 src/CMakeLists.txt | 1 +
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 0cdc0d10ab..9bcb59373a 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -17,7 +17,7 @@
 #
 ################################################################################
 
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.6)
 
 # In-source builds are not possible and so disabled.
 if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
@@ -211,7 +211,6 @@ if (UNIX)
     set(OS_DIR posix)
 
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -msse4")
 
     if (NOT CMAKE_CROSSCOMPILING)
         set(LIB_readline edit)
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 71ae606704..144f6003d2 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -369,6 +369,7 @@ if (APPLE)
 endif()
 
 add_library                 (common ${common_src} ${common_os_src} ${common_include})
+set_source_files_properties(common/CRC32C.cpp PROPERTIES COMPILE_FLAGS -msse4)
 target_link_libraries       (common ${LIB_mpr})
 add_dependencies_cc         (common UpdateCloopInterfaces)
 
-- 
2.28.0

